#!/bin/sh
#emuname=WiCard 1.18
#ecminfofile=ecm.info
CAMNAME="WiCard 1.18"
CAMD_BIN=wicardd_1.18

remove_tmp () {
	rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/mg*
}

case "$1" in
	start)
		remove_tmp
		/usr/bin/$CAMD_BIN -d & 
		sleep 3
	;;
	stop)
		killall -9 $CAMD_BIN
		remove_tmp
		sleep 2
	;;
	*)
		$0 stop
		exit 1
	;;
esac
exit 0